ClosureExpressionEvaluationASTTransformation (Groovy 5.0.8)
Description: declaration: package: org.apache.groovy.contracts.ast, class: ClosureExpressionEvaluationASTTransformation

Package org.apache.groovy.contracts.ast

# Class ClosureExpressionEvaluationASTTransformation

java.lang.Object
org.apache.groovy.contracts.ast.BaseASTTransformation
org.apache.groovy.contracts.ast.ClosureExpressionEvaluationASTTransformation

All Implemented Interfaces:
  `ASTTransformation`

public class ClosureExpressionEvaluationASTTransformation extends BaseASTTransformation
Evaluates `ClosureExpression` instances in annotation parameters and generates special contract closure classes from them.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClosureExpressionEvaluationASTTransformation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `visit(ASTNode[] nodes, SourceUnit unit)`
  `ASTTransformation.visit(org.codehaus.groovy.ast.ASTNode[], org.codehaus.groovy.control.SourceUnit)`

  ### Methods inherited from class org.apache.groovy.contracts.ast.BaseASTTransformation

  `getReaderSource`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClosureExpressionEvaluationASTTransformation

    public ClosureExpressionEvaluationASTTransformation()

- ## Method Details

  - ### visit

    public void visit(ASTNode[] nodes, SourceUnit unit)
    `ASTTransformation.visit(org.codehaus.groovy.ast.ASTNode[], org.codehaus.groovy.control.SourceUnit)`
    Parameters:
      `nodes` - The ASTnodes when the call was triggered. Element 0 is the AnnotationNode that triggered this annotation to be activated. Element 1 is the AnnotatedNode decorated, such as a MethodNode or ClassNode. For global transformations it is usually safe to ignore this parameter.
      `unit` - The source unit being compiled. The source unit may contain several classes. For global transformations, information about the AST can be retrieved from this object.